<!doctype html>
<html>
<head>
    <title>Simple Stick Figure</title>
    <style>
        html, body {
          width:  100%;
          height: 100%;
          margin: 0px;
        }
    </style>
    <script>
        function drawMan(){
            var canvas = document.getElementById('Canvas1');
            if(canvas.getContext){
                context = canvas.getContext("2d");
                with(canvas){
                    var w=canvas.width;
                    var h=canvas.height;
                }
                with(context){
                    strokeStyle = "#000000";
                    lineWidth = "5";
              
              		beginPath();	//start new path
                    
                    //Draw Head and Body
                    arc(w/2, h/2, h/10, 0, Math.PI*2, true);
                    moveTo(w/2,  h/2+(h/10));
                    lineTo(w/2, h-(h/5));

                    //Draw Legs
                    moveTo(w/2, h-(h/5));
                    lineTo(w/2+(h/20), h-(h/50)-30);
                    moveTo(w/2, h-(h/5));
                    lineTo(w/2-(h/20), h-(h/50)-30);
                   
                    //Draw Arms
                    moveTo(w/2-h/10, (h/2+(h/20) +  h-(h/4))/2);
                    lineTo(w/2+h/10, (h/2+(h/20) +  h-(h/4))/2);

                    stroke();		//draws stick figure
                }
            }
        }
       //transforms
       //try to place context.clearRect(0,0,800,600) after the transforms and explain what happens
       	window.onclick = function() {
            var canvas = document.getElementById('Canvas1');
            if(canvas.getContext){
                context = canvas.getContext("2d");
                context.clearRect(0,0,800,600);
                context.translate(10,-5);
				drawMan();
        	}
        }
        
        window.ondblclick = function() {
            var canvas = document.getElementById('Canvas1');
            if(canvas.getContext){
                context = canvas.getContext("2d");
                context.clearRect(0,0,800,600);
                context.translate(-10,5);
				drawMan();
        	}
        }

        window.onmousewheel = function() {
            var canvas = document.getElementById('Canvas1');
            if(canvas.getContext){
                context = canvas.getContext("2d");
                context.clearRect(0,0,800,600);
                //watch for browser compatibility
                var wheelData = window.event.detail ? window.event.detail * -1 : window.event.wheelDelta / 40;
                context.rotate(wheelData*Math.PI/36);
				drawMan();
        	}
        }

    </script>       
</head>
<body>
    <canvas id='Canvas1' width="800px" height="600px"></canvas>
    <script>
        drawMan();
    </script>
</body>
</html>

